## seesat5 0.90.10-1

=== Makefile ===
# This Makefile builds seesat5

SHELL = /bin/sh

srcdir = .

CC = gcc -c
LN = gcc -o
OBJ = seesat.o driver.o util.o sgp4.o astro.o readel.o
LIB = -L/usr/lib/ 

all : seesat5

seesat5 : $(OBJ) cr.o
	$(LN) seesat5 $(LIB) $(OBJ) -lm 
	$(LN) cr cr.o

seesat.o : seesat.c SEESAT.H
	$(CC) seesat.c
driver.o : driver.c SEESAT.H
	$(CC) driver.c
util.o : util.c SEESAT.H
	$(CC) util.c
sgp4.o : sgp4.c SEESAT.H
	$(CC) sgp4.c
astro.o : astro.c SEESAT.H
	$(CC) astro.c
readel.o : readel.c SEESAT.H  
	$(CC) readel.c
cr.o : cr.c
	$(CC) cr.c
clean :
	rm seesat5 seesat.o driver.o util.o sgp4.o astro.o readel.o
	rm cr cr.o

## seesat5 0.90.4

=== debian/changelog ===
seesat5 (0.90.4-0) unstable; urgency=low

  * converted to new source format Standards-Version = 2.1.0.0

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 1 Oct 1996 16:56:38 -0400

Seesat5 0.90 Debian 3 - dcs

*fixed description and extended description

Seesat5 0.90 Debian 2 - dcs

*corrected location of example files

Seesat5 0.90 Debian 1 - dcs

*First release as Debian package
*built as ELF
*New package maintainer: Dale Scheetz <dwarf@polaris.net>

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: seesat5
Section: misc
Priority: extra
Maintainer: Dale Scheetz <dwarf@polaris.net>
Standards-Version: 2.1.0.0

Package: seesat5
Architecture: any
Depends: ${shlibs:Depends}
Description: a satellite location program
 Seesat5 uses the NORAD sgp4 algorith to compute the location of a satellite.
 Many different filtering methods are provided by Seesat5 so that only those
 satellites that might actually be viewed are presented in the report. This 
 report includes bearing and elevation with respect to the observer's location
 as well as other information of interest to the observer.
 .
 Although an observer would find no use for it, the program can be made to 
 report the location even when it is below the horizon. For radio satellites
 like the Oscar series knowing when it comes above the horizon is some of the
 interesting information this program can provide.

=== debian/rules ===
#!/usr/bin/make -f

p=seesat5

INSTALL = install
INSTALL_BIN = $(INSTALL) --owner=root --group=root --mode=0755
INSTALL_LIB = $(INSTALL) --owner=root --group=root --mode=0644
INSTALL_DIR = $(INSTALL) --directory --owner=root --group=root --mode=0755

GZIP = gzip

FAKE-ROOT =
PREFIX = /usr

BINDIR = $(FAKE-ROOT)$(PREFIX)/bin
MANDIR = $(FAKE-ROOT)$(PREFIX)/man

DOCDIR = $(FAKE-ROOT)$(PREFIX)/doc/$(p)
EXAMPLEDIR = $(FAKE-ROOT)$(PREFIX)/doc/$(p)/examples

build:
	$(checkdir)
	make
	-rm clean
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -f *.o seesat5
	-rm -rf debian/tmp *~ *.orig ./#*#
	touch clean

binary-indep:
# None
	@echo 'No indepenent portions for this package.'; false

binary binary-arch:		checkroot build
	-rm -rf debian/tmp
	$(INSTALL_DIR) debian/tmp debian/tmp/DEBIAN
	cp debian/postinst debian/tmp/DEBIAN/postinst
	chmod +x debian/tmp/DEBIAN/postinst
	make -f debian/rules FAKE-ROOT=debian/tmp install
	dpkg-shlibdeps $(p)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

install: build
	$(INSTALL_DIR) $(BINDIR)
	strip seesat5
	$(INSTALL_BIN) seesat5 $(BINDIR)/seesat5
	strip cr
	$(INSTALL_BIN) cr $(BINDIR)/cr
	
	$(INSTALL_DIR) $(MANDIR)/man1
	$(INSTALL_LIB) Docs/seesat5.man.1 $(MANDIR)/man1/seesat5.1
	$(INSTALL_LIB) Docs/cr.man.1 $(MANDIR)/man1/cr.1

	$(INSTALL_DIR) $(MANDIR)/man5
	$(INSTALL_LIB) Docs/SEESAT5.INI.man.5 $(MANDIR)/man5/SEESAT5.INI.5
	$(INSTALL_LIB) Docs/tle.man.5 $(MANDIR)/man5/tle.5

	$(INSTALL_DIR) $(MANDIR)/man7
	$(INSTALL_LIB) Docs/seesat5.man.7 $(MANDIR)/man7/seesat5.7

	$(INSTALL_DIR) $(DOCDIR)
	$(INSTALL_LIB) Docs/seesat5.docs.old $(DOCDIR)
	$(INSTALL_LIB) debian/copyright $(DOCDIR)
	$(INSTALL_LIB) debian/changelog $(DOCDIR)
	$(GZIP) $(DOCDIR)/*

	$(INSTALL_DIR) $(EXAMPLEDIR)
	$(INSTALL_LIB) Docs/Visual.tle $(EXAMPLEDIR)
	$(INSTALL_LIB) Docs/SEESAT5.INI.example $(EXAMPLEDIR)
	$(GZIP) $(EXAMPLEDIR)/*

define checkdir
	test -f seesat.c -a -f debian/rules
endef

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep source clean checkroot

## seesat5 0.90.8-0

=== debian/changelog ===
seesat5 (0.90.8-0) frozen unstable; urgency=low

  * Corrected typo in description: fixes 16141
  * now remove debian/files* and debian/substvars* in clean
  *            which allows auto builds on other architectures.

 -- Dale Scheetz <dwarf@polaris.net>  Mon, 20 Apr 1998 10:05:20 -0400

seesat5 (0.90.7-0) unstable; urgency=low

  * general cleanup of rules file
  * removed gzip from copyright file : bug#14497
  * corrected section in control file declare math as the section

 -- Dale Scheetz <dwarf@polaris.net>  Wed, 19 Nov 1997 11:21:04 -0500

seesat5 (0.90.6-0) unstable; urgency=low

  * compiled for libc6

 -- Dale Scheetz <dwarf@polaris.net>  Thu, 11 Sep 1997 12:32:47 -0400

seesat5 (0.90.5-0) unstable stable; urgency=low

  * fixed GO to provide error instead of segfault; bug #7123

 -- Dale Scheetz <dwarf@polaris.net>  Mon, 18 Aug 1997 14:27:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: seesat5
-Section: misc
+Section: math
 Priority: extra
 Maintainer: Dale Scheetz <dwarf@polaris.net>
 Standards-Version: 2.1.0.0
@@ -8,7 +8,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: a satellite location program
- Seesat5 uses the NORAD sgp4 algorith to compute the location of a satellite.
+ Seesat5 uses the NORAD sgp4 algorithm to compute the location of a satellite.
  Many different filtering methods are provided by Seesat5 so that only those
  satellites that might actually be viewed are presented in the report. This 
  report includes bearing and elevation with respect to the observer's location

=== debian/rules ===
#!/usr/bin/make -f

# Package name
#
p=seesat5

# Define variables and flags
#
STRIP = -s

INSTALL = install
INSTALL_BIN = $(INSTALL) $(STRIP) --owner=root --group=root --mode=0755
INSTALL_LIB = $(INSTALL) --owner=root --group=root --mode=0644
INSTALL_DIR = $(INSTALL) --directory --owner=root --group=root --mode=0755

GZIP = gzip

TARGET-ROOT =
PREFIX = /usr

BIN_DIR = $(TARGET-ROOT)$(PREFIX)/bin
MAN_DIR = $(TARGET-ROOT)$(PREFIX)/man
DOC_DIR = $(TARGET-ROOT)$(PREFIX)/doc/$(p)
EXAMPLE_DIR = $(TARGET-ROOT)$(PREFIX)/doc/$(p)/examples

# Build the components of the package
#
build:
	$(checkdir)
	make
	-rm clean
	touch build

# Clean up after a build
#
clean:
	$(checkdir)
	-rm -f build
	-rm -f *.o seesat5 cr
	-rm -rf debian/tmp *~ debian/*~ *.orig ./#*# 
	-rm -rf debian/substvars* debian/files*
	touch clean

# There are no binary independent components to this package
#
binary-indep:
# None
	@echo 'No indepenent portions for this package.'

# Collect the binary components and build the package
#
binary binary-arch:		checkroot build

# Make sure old tmp directory is gone
#
	-rm -rf debian/tmp

# Install new temporary directories for collecting components
#
	$(INSTALL_DIR) debian/tmp debian/tmp/DEBIAN

# Install scripts
#
	cp debian/postinst debian/tmp/DEBIAN/postinst
	chmod +x debian/tmp/DEBIAN/postinst

# Install the package components
#
	make -f debian/rules TARGET-ROOT=debian/tmp install

# Determine dependencies
#
	dpkg-shlibdeps $(p)

# Generate control information
#
	dpkg-gencontrol

# Set permissions and ownerships on all files in package
#
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp

# Build the binary package
#
	dpkg --build debian/tmp ..

# Install all components of this package
#
install: build

# Create the installation directory
#
	$(INSTALL_DIR) $(BIN_DIR)

# Install the binaries for seesat5 and cr
#
	$(INSTALL_BIN) seesat5 $(BIN_DIR)/seesat5
	$(INSTALL_BIN) cr $(BIN_DIR)/cr

# Create man1 directory
#	
	$(INSTALL_DIR) $(MAN_DIR)/man1

# Install man pages for seesat5 and cr
#
	$(INSTALL_LIB) Docs/seesat5.man.1 $(MAN_DIR)/man1/seesat5.1
	$(INSTALL_LIB) Docs/cr.man.1 $(MAN_DIR)/man1/cr.1

# Create man5 directory
#
	$(INSTALL_DIR) $(MAN_DIR)/man5

# Install man pages for SEESAT5.INI and tle
#
	$(INSTALL_LIB) Docs/SEESAT5.INI.man.5 $(MAN_DIR)/man5/SEESAT5.INI.5
	$(INSTALL_LIB) Docs/tle.man.5 $(MAN_DIR)/man5/tle.5

# Create man7 directory
#
	$(INSTALL_DIR) $(MAN_DIR)/man7

# Install man pages for seesat5
#
	$(INSTALL_LIB) Docs/seesat5.man.7 $(MAN_DIR)/man7/seesat5.7

# Create the docs directory
#
	$(INSTALL_DIR) $(DOC_DIR)

# Install and gzip all the docs
#
	$(INSTALL_LIB) Docs/seesat5.docs.old $(DOC_DIR)
	$(INSTALL_LIB) debian/changelog $(DOC_DIR)
	$(GZIP) $(DOC_DIR)/*

# Except don't gzip the copyright
#
	$(INSTALL_LIB) debian/copyright $(DOC_DIR)

# Create the example directory
#
	$(INSTALL_DIR) $(EXAMPLE_DIR)

# Install and gzip example files
#
	$(INSTALL_LIB) Docs/Visual.tle $(EXAMPLE_DIR)
	$(INSTALL_LIB) Docs/SEESAT5.INI.example $(EXAMPLE_DIR)
	$(GZIP) $(EXAMPLE_DIR)/*
#
# End of component installation

# Bookkeeping
#
define checkdir
	test -f seesat.c -a -f debian/rules
endef

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep source clean checkroot

## seesat5 0.90.9-0

=== debian/changelog ===
seesat5 (0.90.9-0) unstable; urgency=low

  * moved /usr/doc to /usr/share/doc closes: #91653
  * moved /usr/man to /usr/share/man, moves to Standards 3.1.0.0
  * changed maintainer fields to reflect new gpg key

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Mon, 26 Mar 2001 08:28:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: seesat5
 Section: math
 Priority: extra
-Maintainer: Dale Scheetz <dwarf@polaris.net>
-Standards-Version: 2.1.0.0
+Maintainer: Dale Scheetz (Dwarf #1) <dwarf@polaris.net>
+Standards-Version: 3.1.0.0
 
 Package: seesat5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 STRIP = -s
 
 INSTALL = install
-INSTALL_BIN = $(INSTALL) $(STRIP) --owner=root --group=root --mode=0755
+INSTALL_BIN = $(INSTALL) $(STRIP) --owner=root --mode=0755
 INSTALL_LIB = $(INSTALL) --owner=root --group=root --mode=0644
-INSTALL_DIR = $(INSTALL) --directory --owner=root --group=root --mode=0755
+INSTALL_DIR = $(INSTALL) --directory --owner=root --mode=0775
 
 GZIP = gzip
 
@@ -19,9 +19,9 @@
 PREFIX = /usr
 
 BIN_DIR = $(TARGET-ROOT)$(PREFIX)/bin
-MAN_DIR = $(TARGET-ROOT)$(PREFIX)/man
-DOC_DIR = $(TARGET-ROOT)$(PREFIX)/doc/$(p)
-EXAMPLE_DIR = $(TARGET-ROOT)$(PREFIX)/doc/$(p)/examples
+MAN_DIR = $(TARGET-ROOT)$(PREFIX)/share/man
+DOC_DIR = $(TARGET-ROOT)$(PREFIX)/share/doc/$(p)
+EXAMPLE_DIR = $(TARGET-ROOT)$(PREFIX)/share/doc/$(p)/examples
 
 # Build the components of the package
 #
@@ -61,8 +61,8 @@
 
 # Install scripts
 #
-	cp debian/postinst debian/tmp/DEBIAN/postinst
-	chmod +x debian/tmp/DEBIAN/postinst
+	cp debian/postinst debian/prerm debian/tmp/DEBIAN/
+	chmod +x debian/tmp/DEBIAN/postinst debian/tmp/DEBIAN/prerm
 
 # Install the package components
 #
@@ -134,7 +134,7 @@
 	$(INSTALL_LIB) debian/changelog $(DOC_DIR)
 	$(GZIP) $(DOC_DIR)/*
 
-# Except don't gzip the copyright
+# Except don't gzip the copyrighti
 #
 	$(INSTALL_LIB) debian/copyright $(DOC_DIR)

## seesat5 0.90.10-1

=== debian/changelog ===
seesat5 (0.90.10-1) unstable; urgency=low

  * new maintainer Closes: #235300
  * fixed minor policy violation package now not Debian native Closes: #216541
  * updated to standards version 3.6.1
  * gzipped man pages Closes: #216543
  * upstream created a separate changelog, please see the package's changelog
    for changes prior to this version

 -- Patrick Ouellette <pouelle@debian.org>  Sun, 18 Apr 2004 14:30:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: seesat5
 Section: math
 Priority: extra
-Maintainer: Dale Scheetz (Dwarf #1) <dwarf@polaris.net>
-Standards-Version: 3.1.0.0
+Maintainer: Patrick Ouellette <pouelle@debian.org>
+Standards-Version: 3.6.1
 
 Package: seesat5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 INSTALL_LIB = $(INSTALL) --owner=root --group=root --mode=0644
 INSTALL_DIR = $(INSTALL) --directory --owner=root --mode=0775
 
-GZIP = gzip
+GZIP = gzip --best
 
 TARGET-ROOT =
 PREFIX = /usr
@@ -74,7 +74,7 @@
 
 # Generate control information
 #
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 
 # Set permissions and ownerships on all files in package
 #
@@ -107,6 +107,10 @@
 	$(INSTALL_LIB) Docs/seesat5.man.1 $(MAN_DIR)/man1/seesat5.1
 	$(INSTALL_LIB) Docs/cr.man.1 $(MAN_DIR)/man1/cr.1
 
+# Gzip man1 directory
+#
+	$(GZIP) $(MAN_DIR)/man1/*
+
 # Create man5 directory
 #
 	$(INSTALL_DIR) $(MAN_DIR)/man5
@@ -116,6 +120,10 @@
 	$(INSTALL_LIB) Docs/SEESAT5.INI.man.5 $(MAN_DIR)/man5/SEESAT5.INI.5
 	$(INSTALL_LIB) Docs/tle.man.5 $(MAN_DIR)/man5/tle.5
 
+# Gzip man5 directory
+#
+	$(GZIP) $(MAN_DIR)/man5/*
+
 # Create man7 directory
 #
 	$(INSTALL_DIR) $(MAN_DIR)/man7
@@ -124,6 +132,10 @@
 #
 	$(INSTALL_LIB) Docs/seesat5.man.7 $(MAN_DIR)/man7/seesat5.7
 
+# Gzip man7 directory
+#
+	$(GZIP) $(MAN_DIR)/man7/*
+
 # Create the docs directory
 #
 	$(INSTALL_DIR) $(DOC_DIR)
@@ -131,12 +143,21 @@
 # Install and gzip all the docs
 #
 	$(INSTALL_LIB) Docs/seesat5.docs.old $(DOC_DIR)
+	$(INSTALL_LIB) ChangeLog $(DOC_DIR)
+	$(INSTALL_LIB) debian/README.Debian $(DOC_DIR)
 	$(INSTALL_LIB) debian/changelog $(DOC_DIR)
+	mv  $(DOC_DIR)/changelog $(DOC_DIR)/changelog.Debian
+	mv  $(DOC_DIR)/ChangeLog $(DOC_DIR)/changelog
 	$(GZIP) $(DOC_DIR)/*
 
-# Except don't gzip the copyrighti
+# Except don't gzip the copyright or upstream changlog, news, todo, readme
 #
 	$(INSTALL_LIB) debian/copyright $(DOC_DIR)
+	
+	$(INSTALL_LIB) NEWS $(DOC_DIR)
+	$(INSTALL_LIB) README $(DOC_DIR)
+	$(INSTALL_LIB) TODO $(DOC_DIR)
+
 
 # Create the example directory
 #

## seesat5 0.90.10-1ubuntu1

=== debian/changelog ===
seesat5 (0.90.10-1ubuntu1) dapper; urgency=low

  * fix gcc-4.x errors

 -- LaMont Jones <lamont@ubuntu.com>  Tue, 24 Jan 2006 21:07:16 -0700

## seesat5 0.90.10-1.1

=== debian/changelog ===
seesat5 (0.90.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with gcc 3.4.  Thanks to Andreas Jochens for the
    preliminary patch.  Closes: #259829.
  * Change section/priority to science/optional in accordance with the
    override file.

 -- Matej Vela <vela@debian.org>  Sat, 11 Mar 2006 16:35:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: seesat5
-Section: math
-Priority: extra
+Section: science
+Priority: optional
 Maintainer: Patrick Ouellette <pouelle@debian.org>
 Standards-Version: 3.6.1
